MWAWField Struct Reference documentation

MWAWField Struct Reference

a field More...

`#include <libmwaw_internal.hxx>`

## Public Types
enum | Type { None , PageCount , PageNumber , Date , Time , Title , Database , BookmarkStart , BookmarkEnd }
| Defines some basic type for field. More...

## Public Member Functions
| MWAWField (Type type)
| basic constructor
| MWAWField (MWAWField &&)=default
| MWAWField (MWAWField const &)=default
MWAWField & | operator= (MWAWField const &)=default
MWAWField & | operator= (MWAWField &&)=default
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist (if possible)
librevenge::RVNGString | getString () const
| returns a string corresponding to the field (if possible) *‍/

## Public Attributes
Type | m_type
| the type
libmwaw::NumberingType | m_numberingType
| the number type ( for number field )
std::string | m_DTFormat
| the date/time format using strftime format if defined
std::string | m_data
| the database/link field ( if defined ) or the bookmark name

## Detailed Description

a field

## Member Enumeration Documentation

## ◆ Type

enum MWAWField::Type

Defines some basic type for field.

Enumerator
None |
PageCount |
PageNumber |
Date |
Time |
Title |
Database |
BookmarkStart |
BookmarkEnd |

## Constructor & Destructor Documentation

## ◆ MWAWField() [1/3]

MWAWField::MWAWField | ( | Type | type | ) |
| inlineexplicit

basic constructor

Referenced by MWAWField(), MWAWField(), operator=(), and operator=().

## ◆ MWAWField() [2/3]

MWAWField::MWAWField | ( | MWAWField && |  | ) |
| default

## ◆ MWAWField() [3/3]

MWAWField::MWAWField | ( | MWAWField const & |  | ) |
| default

## Member Function Documentation

## ◆ addTo()

bool MWAWField::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist (if possible)

Referenced by MWAWGraphicListener::insertField(), MWAWPresentationListener::insertField(), MWAWSpreadsheetListener::insertField(), and MWAWTextListener::insertField().

## ◆ getString()

librevenge::RVNGString MWAWField::getString | ( |  | ) | const

returns a string corresponding to the field (if possible) *‍/

Referenced by MWAWGraphicListener::insertField(), MWAWPresentationListener::insertField(), MWAWSpreadsheetListener::insertField(), and MWAWTextListener::insertField().

## ◆ operator=() [1/2]

MWAWField & MWAWField::operator= | ( | MWAWField && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWField & MWAWField::operator= | ( | MWAWField const & |  | ) |
| default

## Member Data Documentation

## ◆ m_data

std::string MWAWField::m_data

the database/link field ( if defined ) or the bookmark name

Referenced by addTo(), getString(), MWAWField(), and RagTime5Text::send().

## ◆ m_DTFormat

std::string MWAWField::m_DTFormat

the date/time format using strftime format if defined

Referenced by addTo(), MindWrtParserInternal::Field::getField(), RagTimeTextInternal::Token::getField(), MWAWField(), RagTimeText::send(), ScriptWriterParser::send(), WriteNowText::send(), DocMkrText::sendFooter(), ActaParser::sendHeaderFooter(), JazzWriterParser::sendPLC(), BeagleWksText::sendText(), ClarisDrawText::sendText(), ClarisWksText::sendText(), HanMacWrdJText::sendText(), HanMacWrdKText::sendText(), MsWrdText::sendText(), NisusWrtText::sendText(), PowerPoint7Text::sendText(), StudentWritingCParser::sendText(), GreatWksTextInternal::Token::sendTo(), and WordMakerParser::sendZone().

## ◆ m_numberingType

libmwaw::NumberingType MWAWField::m_numberingType

the number type ( for number field )

Referenced by addTo(), MWAWHeaderFooter::insertPageNumberParagraph(), MWAWField(), and SpringBoardParser::sendHeaderFooter().

## ◆ m_type

Type MWAWField::m_type

the type

Referenced by addTo(), getString(), MWAWGraphicListener::insertField(), MWAWPresentationListener::insertField(), MWAWSpreadsheetListener::insertField(), MWAWTextListener::insertField(), MWAWField(), and SpringBoardParser::sendHeaderFooter().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx